12 июля 2016

Установить digiKam 5.0.0 в Ubuntu 16.04 и производные

digiKam — Менеджер цифровых фотографий, каталогизатор и редактор, позволяющий импортировать, упорядочить, улучшать, искать и экспортировать цифровые фотографии на компьютер.
digiKam является кроссплатформенным приложением с открытым исходным кодом для работы в операционных системах Linux, Windows и Mac OS X.

Состоялся релиз digiKam 5.0.0, который подвёл итог двухлетней работы по переводу приложения на Qt 5 и KDE Framework 5. Начиная с нового выпуска проект также перешёл на новый сокращённый цикл подготовки релизов, подразумевающий более оперативную доставку обновлений.

В новой версии digiKam проведена работа по переводу кода приложения на Qt 5. Помимо портирования кода, проведена работа по изменениям и оптимизации, связанным с зависимостями от KDE. Многие KDE-зависимости заменены зависимостями Qt, что упрощает работы по портированию приложения на другие операционные системы, поддержку кодовой базы, уменьшая чувствительность изменений API от проекта KDE. В перспективе планируется полностью отвязаться от использования библиотек KDE.



  Основные изменения:

   - Добавлена «виртуальная корзина» взамен ранее использовавшейся корзины KDE, что делало невозможным использование корзины в портах на Windows и Mac OS X.
   - Добавлен инструмент «Lazy Sinchronization», позволяющий применять изменения по запросу пользователя или в конце рабочей сессии digiKam, храня намеченные изменения файлов в базе данных.
   - Добавлена панель изменения тэгов Exif/IPTC/XMP для заполнения базы данных ключевой информацией о снимке, такой как дата, комментарий, ключевое слово, рейтинг и т. д. Также добавлена возможность выбирать, какие тэги будут считываться в процессе импорта и какие экспортироваться в процессе «Lazy Sinchronization».
   - В ядро digiKam интегрирована база данных распознавания лиц, которая теперь может храниться в SQLite или MySQL.
   - Переработан код работы с базой данных и панель её настройки. Теперь при первом запуске возможно выбрать MySQL вместо SQLite или мигрировать на MySQL позже. На выбор предлагается локальный сервер MySQL или удалённый для совместного использования несколькими компьютерами, что особенно удобно в случае больших колекций свыше 100 тысяч файлов.

Установка digiKam 5.0.0 в Ubuntu 16.04 и производные

Откройте терминал (Ctrl+Alt+T), скопируйте и выполните следующие команды (поочередно):

sudo add-apt-repository ppa:philip5/extra
sudo apt update
sudo apt install digikam5


Примечание. Так как программа digiKam, это проект KDE, для русификации её интерфейса в других средах (Unity, Cinnamon, MATE и т.п.) желательно ещё установить языковой пакет: language-pack-kde-ru.

sudo apt install language-pack-kde-ru

По окончании установки вы найдёте digiKam в программах Графика.

После первого открытия digiKam предлагается выполнить настройки программы:


Источник: http://www.digikam.org

Удачи.

11 комментариев :

  1. Владимир, неплохое ядро вышло http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.6.4/

    ОтветитьУдалить
    Ответы
    1. linux-image-4.4.0-2-deepin-amd64
      Вот это ядро! При прочих равных использование памяти на 15% меньше и, пр...

      Удалить
  2. Это ее не до конца перевели, что верхняя строка меню на английском? (в моей установленной вчера точно так же)

    ОтветитьУдалить
    Ответы
    1. Установи русскую локаль KDE sudo apt-get install kde-l10n-ru и всё станет русифицированным. У меня с k3b в было точно так же, она тоже была не полностью русифицирована, пока я не установил вышеупомянутый пакет. Видимо, отдельная локализация самой k3b не полная (пакет k3b-i18n), поэтому нужно ставить локализацию всего KDE, включая локаль всех входящих в состав Кед программ.

      Удалить
    2. делал. не помогло, поэтому и уточняю(у меня XFCE)

      Удалить
    3. Ну Вам же сказали: "Примечание. Так как программа digiKam, это проект KDE, для русификации её интерфейса в других средах (Unity, Cinnamon, MATE и т.п.) желательно ещё установить языковой пакет: language-pack-kde-ru."

      Удалить
    4. я этот пакет установил но не помогло

      Удалить
    5. переставь если не лень и не олень. а оно надо? Не трогай то что уже работает..

      Удалить
  3. не надо уподобляться.Владимир, моё почтение.

    ОтветитьУдалить